{
    "doc": "Details about the transaction sender",
    "fields": [
        {
            "doc": "IP address",
            "name": "ip",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Hostname",
            "name": "host",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Port",
            "name": "port",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "User",
            "name": "user",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "URI",
            "name": "uri",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "URL",
            "name": "url",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Authentication type",
            "name": "authType",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "RequestDetails",
    "namespace": "org.gel.models.cva.avro",
    "type": "record"
}